image: node:18-alpine
cache:
  paths:
  - node_modules/
stages:
- build
- deploy-prod
build-job:
  stage: build
  script:
  - echo "Compiling the code..."
  - npm install
  - npm run build
  - echo "Compile complete."
deploy-prod-infra:
  stage: deploy-prod
  variables:
    CDK_DEPLOY_ACCOUNT: $PROD_ACCOUNT_ID
    CDK_DEPLOY_REGION: $AWS_DEFAULT_REGION
  before_script:
  - npm install -g aws-cdk@latest
  - cdk --version
  script:
  - npx cdk synth
  - cdk diff
  - cdk deploy --require-approval never